; $Id: dave_beast_ops_test.pro,v 1.3 2002/07/08 20:42:32 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro dave_beast_ops_test
;************************************************************************************************
; This procedure tests the "dave_beast_ops" procedure.
;
compile_opt strictarr
;
;
for k=0,1 do begin
	specific={spa:fltarr(3,4,5),zptr:ptr_new(0)}
	hist={ha:fltarr(11),hb:findgen(90,2),hc:3,hd:dblarr(4,4)}
	commonStr={cmna:1,histPtr:ptr_new(hist),cmnc:3,cmnd:4,treatmentPtr:ptr_new("treat")}
	dataStr={commonStr:commonStr,specificPtr:ptr_new(specific)}
	beastA={sta:1,stb:2,dataStrPtr:ptr_new(dataStr)}
;
	if (k eq 1) then beastA=ptr_new(beastA)
;
	dave_beast_ops,"duplicate",beastA,beastB,/screen
	dave_beast_ops,"clear",beastA,/screen
	dave_beast_ops,"remove",beastB,/screen
	dave_beast_ops,"copy",beastA,/screen ; ("copy" is not an allowed operation)
	ptr_free,ptr_valid()
endfor
;
end

