;$Id: tas_examine.pro,v 1.2 2002/04/18 13:29:02 jmspark Exp $
pro tas_examine, notifyIDs, inPtr, group_leader=group_leader

	if dave_valid(inPtr, /full) then begin

		histPtr = (*(*inPtr).dataStrPtr).commonStr.histPtr

		help, (*histPtr).qty, output = s1
		help, (*histPtr).err, output = s2
		help, (*histPtr).x, output = s3
		help, (*histPtr).y, output = s4

		output_string = 'QTY = ' + s1 + string(13b)
		output_string = output_string + 'ERR = ' + s2 + string(13b)
		output_string = output_string + '  X = ' + s3 + string(13b)
		output_string = output_string + '  Y = ' + s4 + string(13b)

		void = dialog_message( output_string, /information )

	endif else begin

		void = dialog_message( 'No DAVE structure in this session.', /information )

	endelse

	tas_dismiss, notifyIDs, inPtr, group_leader=group_leader


end