;$Id: idl_state_save.pro,v 1.2 2002/05/20 03:41:48 jmspark Exp $
;
; IDL_state_save
;
pro idl_state_restore, pState

	if n_elements( pState ) ne 1 then begin
		message, 'Argument pState is missing.', /continue
		return
	endif

	tvlct $
		, (pstate).color_table.r $
		, (pstate).color_table.g $
		, (pstate).color_table.b
	; ptr_free, color_table

	!p = (pstate).bang_p
	!x = (pstate).bang_x
	!y = (pstate).bang_y
	!z = (pstate).bang_z

	; set_plot, (pstate).device_name

	; ptr_free, pState

end

function idl_state_save

	; device, get_visual_depth = visual_depth

	tvlct, r, g, b, /get
	color_table = { r:r, g:g, b:b }

	return, $
		{ color_table:color_table $
		; , visual_depth:visual_depth $
		; , device_name:!d.name $
		, bang_p:!p $
		, bang_x:!x $
		, bang_y:!y $
		, bang_z:!z $
		}


end